Skip to main content
GET
/
templates
/
{templateName}
Get template
curl --request GET \
  --url https://api.blaxel.ai/v0/templates/{templateName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blaxel.ai/v0/templates/{templateName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blaxel.ai/v0/templates/{templateName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "defaultBranch": "main",
  "description": "A starter template for building LangChain agents",
  "downloadCount": 1200,
  "forksCount": 45,
  "icon": "<string>",
  "iconDark": "<string>",
  "name": "langchain-agent",
  "sha": "<string>",
  "starCount": 150,
  "topics": [
    "<string>"
  ],
  "url": "https://github.com/blaxel-ai/template-langchain-agent",
  "variables": [
    {
      "description": "OpenAI API key for the agent",
      "integration": "openai",
      "name": "OPENAI_API_KEY",
      "path": ".env",
      "secret": true
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

templateName
string
required

Name of the template

Response

200 - application/json

successful operation

Blaxel template

defaultBranch
string

Default branch of the template

Example:

"main"

description
string

Description of the template

Example:

"A starter template for building LangChain agents"

downloadCount
integer

Number of downloads/clones of the repository

Example:

1200

forksCount
integer

Number of forks the repository has

Example:

45

icon
string

URL to the template's icon

iconDark
string

URL to the template's icon in dark mode

name
string

Name of the template

Example:

"langchain-agent"

sha
string

SHA of the variable

starCount
integer

Number of stars the repository has

Example:

150

topics
string[]

Topic of the template

url
string

URL of the template

Example:

"https://github.com/blaxel-ai/template-langchain-agent"

variables
object[]

Variables of the template

Last modified on July 9, 2026